@mixin digi-form-file-upload--variables {
	--digi--form-file-upload--color--background--small--default: var(--digi--color--background--secondary);
	--digi--form-file-upload--color--background--small--hover: var(--digi--global--color--cta--hover--base);
	--digi--form-file-upload--color--background--medium--default: var(--digi--color--background--secondary);
	--digi--form-file-upload--color--background--medium--hover: var(--digi--global--color--cta--hover--base);
	--digi--form-file-upload--color--background--large--default: var(--digi--color--background--secondary);
	--digi--form-file-upload--color--background--large--hover: var(--digi--global--color--cta--hover--base);

	--digi--form-file-upload--color--border--small--default: var(--digi--global--color--neutral--grayscale--darkest);
	--digi--form-file-upload--color--border--small--hover: var(--digi--global--color--cta--hover--base);
	--digi--form-file-upload--color--border--medium--default: var(--digi--global--color--neutral--grayscale--darkest);
	--digi--form-file-upload--color--border--medium--hover: var(--digi--global--color--cta--hover--base);
	--digi--form-file-upload--color--border--large--default: var(--digi--global--color--neutral--grayscale--darkest);
	--digi--form-file-upload--color--border--large--hover: var(--digi--global--color--cta--hover--base);

	--digi--form-file-upload--border-width--small--default: var(--digi--border-width--secondary);
	--digi--form-file-upload--border-width--small--hover: var(--digi--border-width--primary);
	--digi--form-file-upload--border-width--medium--default: var(--digi--border-width--secondary);
	--digi--form-file-upload--border-width--medium--hover: var(--digi--border-width--primary);
	--digi--form-file-upload--border-width--large--default: var(--digi--border-width--secondary);
	--digi--form-file-upload--border-width--large--hover: var(--digi--border-width--primary);

	--digi--form-file-upload--border-style--small--default: var(--digi--global--border-style--none);
	--digi--form-file-upload--border-style--medium--default: var(--digi--global--border-style--dashed);
	--digi--form-file-upload--border-style--large--default: var(--digi--global--border-style--dashed);

	--digi--form-file-upload--border-radius--small--default: var(--digi--border-radius--secondary);
	--digi--form-file-upload--border-radius--medium--default: var(--digi--border-radius--secondary);
	--digi--form-file-upload--border-radius--large--default: var(--digi--border-radius--secondary);

	--digi--form-file-upload--padding--small: var(--digi--gutter--medium) var(--digi--gutter--largest);
	--digi--form-file-upload--padding--medium: var(--digi--gutter--medium) var(--digi--gutter--largest);
	--digi--form-file-upload--padding--large: var(--digi--gutter--medium) var(--digi--gutter--largest);

	--digi--form-file-upload--font-size--small: var(--digi--global--typography--font-size--small);
	--digi--form-file-upload--font-size--medium: var(--digi--global--typography--font-size--base);
	--digi--form-file-upload--font-size--large: var(--digi--global--typography--font-size--large);

	--digi--form-file-upload--heading--font-family: var(--digi--global--typography--font-family--default);
	--digi--form-file-upload--heading--font-weight: var(--digi--typography--heading-4--font-weight--desktop);
	--digi--form-file-upload--heading--font-size: var(--digi--typography--heading-4--font-size--desktop);
	--digi--form-file-upload--heading--font-size--large: var(--digi--typography--heading-4--font-size--desktop-large);

	--digi--form-file-upload--font-family: var(--digi--global--typography--font-family--default);
	--digi--form-file-upload--font-weight: var(--digi--typography--form-file-upload--font-weight--desktop);

	--digi--form-file-upload--button-text--color--default: var(--digi--global--color--cta--link--base);
	--digi--form-file-upload--button-text--color--hover: var(--digi--global--color--function--info--light);

	--digi--form-file-upload--padding--small--icon: var(--digi--global--spacing--smaller) var(--digi--global--spacing--smallest-2);
	--digi--form-file-upload--padding--medium--icon: var(--digi--global--spacing--base) var(--digi--global--spacing--smallest-2);

	--digi--form-file-upload--width--small: 132px;
	--digi--form-file-upload--width--medium: 304px;
	--digi--form-file-upload--width--large: inherit;
}

/** Do not touch! Autogenerated 
* @prop --digi--form-file-upload--color--background--small--default: var(--digi--color--background--secondary);
* @prop --digi--form-file-upload--color--background--small--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--background--medium--default: var(--digi--color--background--secondary);
* @prop --digi--form-file-upload--color--background--medium--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--background--large--default: var(--digi--color--background--secondary);
* @prop --digi--form-file-upload--color--background--large--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--border--small--default: var(--digi--global--color--neutral--grayscale--darkest);
* @prop --digi--form-file-upload--color--border--small--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--border--medium--default: var(--digi--global--color--neutral--grayscale--darkest);
* @prop --digi--form-file-upload--color--border--medium--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--border--large--default: var(--digi--global--color--neutral--grayscale--darkest);
* @prop --digi--form-file-upload--color--border--large--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--border-width--small--default: var(--digi--border-width--secondary);
* @prop --digi--form-file-upload--border-width--small--hover: var(--digi--border-width--primary);
* @prop --digi--form-file-upload--border-width--medium--default: var(--digi--border-width--secondary);
* @prop --digi--form-file-upload--border-width--medium--hover: var(--digi--border-width--primary);
* @prop --digi--form-file-upload--border-width--large--default: var(--digi--border-width--secondary);
* @prop --digi--form-file-upload--border-width--large--hover: var(--digi--border-width--primary);
* @prop --digi--form-file-upload--border-style--small--default: var(--digi--global--border-style--none);
* @prop --digi--form-file-upload--border-style--medium--default: var(--digi--global--border-style--dashed);
* @prop --digi--form-file-upload--border-style--large--default: var(--digi--global--border-style--dashed);
* @prop --digi--form-file-upload--border-radius--small--default: var(--digi--border-radius--secondary);
* @prop --digi--form-file-upload--border-radius--medium--default: var(--digi--border-radius--secondary);
* @prop --digi--form-file-upload--border-radius--large--default: var(--digi--border-radius--secondary);
* @prop --digi--form-file-upload--padding--small: var(--digi--gutter--medium) var(--digi--gutter--largest);
* @prop --digi--form-file-upload--padding--medium: var(--digi--gutter--medium) var(--digi--gutter--largest);
* @prop --digi--form-file-upload--padding--large: var(--digi--gutter--medium) var(--digi--gutter--largest);
* @prop --digi--form-file-upload--font-size--small: var(--digi--global--typography--font-size--small);
* @prop --digi--form-file-upload--font-size--medium: var(--digi--global--typography--font-size--base);
* @prop --digi--form-file-upload--font-size--large: var(--digi--global--typography--font-size--large);
* @prop --digi--form-file-upload--heading--font-family: var(--digi--global--typography--font-family--default);
* @prop --digi--form-file-upload--heading--font-weight: var(--digi--typography--heading-4--font-weight--desktop);
* @prop --digi--form-file-upload--heading--font-size: var(--digi--typography--heading-4--font-size--desktop);
* @prop --digi--form-file-upload--heading--font-size--large: var(--digi--typography--heading-4--font-size--desktop-large);
* @prop --digi--form-file-upload--font-family: var(--digi--global--typography--font-family--default);
* @prop --digi--form-file-upload--font-weight: var(--digi--typography--form-file-upload--font-weight--desktop);
* @prop --digi--form-file-upload--button-text--color--default: var(--digi--global--color--cta--link--base);
* @prop --digi--form-file-upload--button-text--color--hover: var(--digi--global--color--function--info--light);
* @prop --digi--form-file-upload--padding--small--icon: var(--digi--global--spacing--smaller) var(--digi--global--spacing--smallest-2);
* @prop --digi--form-file-upload--padding--medium--icon: var(--digi--global--spacing--base) var(--digi--global--spacing--smallest-2);
* @prop --digi--form-file-upload--width--small: 132px;
* @prop --digi--form-file-upload--width--medium: 304px;
* @prop --digi--form-file-upload--width--large: inherit;
*/